// FencryptorView.cpp : implementation of the CFencryptorView class
//

#include "stdafx.h"

// Get C header to work in C++.
extern "C" {
#include "Capi.h"
}

#include "Fencryptor.h"

#include "FencryptorDoc.h"
#include "FencryptorView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView

IMPLEMENT_DYNCREATE(CFencryptorView, CEditView)

BEGIN_MESSAGE_MAP(CFencryptorView, CEditView)
	//{{AFX_MSG_MAP(CFencryptorView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CEditView::OnFilePrintPreview)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView construction/destruction

CFencryptorView::CFencryptorView()
{
	// TODO: add construction code here

}

CFencryptorView::~CFencryptorView()
{
}

BOOL CFencryptorView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	BOOL bPreCreated = CEditView::PreCreateWindow(cs);
	cs.style &= ~(ES_AUTOHSCROLL|WS_HSCROLL);	// Enable word-wrapping

	return bPreCreated;
}

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView drawing

void CFencryptorView::OnDraw(CDC* pDC)
{
	CFencryptorDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);

	// TODO: add draw code for native data here
}

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView printing

BOOL CFencryptorView::OnPreparePrinting(CPrintInfo* pInfo)
{
	// default CEditView preparation
	return CEditView::OnPreparePrinting(pInfo);
}

void CFencryptorView::OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Default CEditView begin printing.
	CEditView::OnBeginPrinting(pDC, pInfo);
}

void CFencryptorView::OnEndPrinting(CDC* pDC, CPrintInfo* pInfo)
{
	// Default CEditView end printing
	CEditView::OnEndPrinting(pDC, pInfo);
}

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView diagnostics

#ifdef _DEBUG
void CFencryptorView::AssertValid() const
{
	CEditView::AssertValid();
}

void CFencryptorView::Dump(CDumpContext& dc) const
{
	CEditView::Dump(dc);
}

CFencryptorDoc* CFencryptorView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CFencryptorDoc)));
	return (CFencryptorDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CFencryptorView message handlers
